approx_or_low(x,y;tol=1e-10) = ((x==0 && y<tol) || (y==0 && x<tol) || x≈y)

@testset "WHOrthoRandom" begin
	b = 3
	# Check that the dense representation of Ω' has expected row norms
	r = rand(b*d)
	Ω = WHOrthoRandom(d, b*d, r)
	denseΩ = Ω'*Matrix(1.0I, d, d)
	@test sqrt.(sum(denseΩ.^2, dims=2)) ≈ r 
end

